Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class ToolBarManager

    java.lang.Object
      com.sun.javatest.exec.ToolBarManager

    public class ToolBarManager

extends java.lang.Object

The "Tool Bar Manager" tool, which allows a user to add, remove, and get custom toolbars.

Constructor Summary
`ToolBarManager()`

Method Summary
`boolean` | `addToolBar(JavaTestToolBar theBar, java.lang.String toolBarID)` Adds specified toolbar.
`JavaTestToolBar` | `getToolBar(java.lang.String toolBarID)` Finds toolbar by ID and returns it.
`JavaTestToolBar[]` | `getToolBars()` Returns an array of currently registered toolbars.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolBarManager

    public ToolBarManager()

Method Detail

### addToolBar

    public boolean addToolBar(JavaTestToolBar theBar,
                              java.lang.String toolBarID)

  Adds specified toolbar.

  Parameters:
    `theBar` - the tool bar which should be added to the TestManager, can't be null
    `toolBarID` - unique string ID of theBar, can't be null or empty
  Returns:
    `true` if the bar was successfully added

### getToolBar

    public JavaTestToolBar getToolBar(java.lang.String toolBarID)

  Finds toolbar by ID and returns it.

  Parameters:
    `toolBarID` - unique string ID of theBar, can't be null or empty
  Returns:
    the toolbar object, or `null` if the manager contains no tool bar for this key.

### getToolBars

    public JavaTestToolBar[] getToolBars()

  Returns an array of currently registered toolbars.

  Returns:
    array of currently registered toolbars

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.